%
% bsim_mknewconddir.m
%
% Batch simulation script which creates a new directory for a manipulation 
% condition.
%
% Last modification: 1/21/08


% Set path for new DA condition directory and make the directory.
runcoll_path = runcoll_stats;
taskset_path = taskset_TOBS1c_TOBS1crev;
% taskset_path = taskset_TOBS2c_TOBS2crev;

% simphases_path = simphases_train;
% simphases_path = simphases_maint;
simphases_path = simphases_rev;

% manip_path = manip_normal;

% manip_path = manip_NShypo05;
% manip_path = manip_NShypo1;
% manip_path = manip_NShypo15;
% manip_path = manip_NShypo2;
% manip_path = manip_NShypo3;
% manip_path = manip_Bhypo05;
% manip_path = manip_Bhypo1;
% manip_path = manip_Bhypo15;
% manip_path = manip_Bhypo2;
% manip_path = manip_Bhypo3;
% manip_path = manip_PRhypo05;
% manip_path = manip_PRhypo1;
% manip_path = manip_PRhypo15;
% manip_path = manip_PRhypo2;
% manip_path = manip_PRhypo3;
% manip_path = manip_ghypo05;
% manip_path = manip_ghypo1;
% manip_path = manip_ghypo15;
% manip_path = manip_ghypo2;
% manip_path = manip_ghypo3;

% manip_path = manip_NShyper05;
% manip_path = manip_NShyper1;
% manip_path = manip_NShyper3;
% manip_path = manip_NShyper5;
% manip_path = manip_Bhyper05;
% manip_path = manip_Bhyper1;
% manip_path = manip_Bhyper3;
% manip_path = manip_Bhyper5;
% manip_path = manip_PRhyper05;
% manip_path = manip_PRhyper1;
% manip_path = manip_PRhyper3;
% manip_path = manip_PRhyper5;
% manip_path = manip_ghyper05;
% manip_path = manip_ghyper1;
% manip_path = manip_ghyper3;
manip_path = manip_ghyper5;

subj_num = 1;  % not really needed
run_num = 1;   % not really needed
bsim_setdatapath;
new_dirname = strcat(path_pfx1,path_pfx2,path_pfx3,path_pfx4,path_pfx5);
disp(new_dirname);

% Prompt whether user wants to proceed.
proceed = input('The above directory will be created. Proceed? (1=yes) ');
if (proceed ~= 1)
    disp('aborted');
    return;
end;

% Create the directory
mkdir(new_dirname);