%
% invsigm.m
%
% Function of an inverse of a sigmoid.
%
% Inputs:
%   offset: the threshold x of the sigmoid
%   gain: the gain (steepness) of the sigmoid
%   x: the value to be inverse sigmoided
%
% Last modification: 11/5/04

function  [y] = invsigm(offset,gain,x)

    % inverse sigmoidal function for cell activities
    y = (gain * offset - log((x - 1) ./ (-x))) / gain;
