    % Load the physical parameters and the model.
    load phys_parm_1;
    load modl_parm_1;   % untrained model
%    load modl_parm_tr;  % trained model
    
    % Grab the last activation state from the outputs.
    load out1;
    
    % Display the activations.
    area_ind = str2num(get(handles.edit1,'String'));
    time_ind = str2num(get(handles.edit5,'String'));
    S = output(:,time_ind)';
    fh = figure(1);
    colormap(gray);
    disp_area_act;
    figtitle = strcat(Area_name(area_ind,:), ' Units');
    set(fh, 'Name', figtitle);
    
    % Display weights.
    fasc_ind = str2num(get(handles.edit2,'String'));
    x_ind = str2num(get(handles.edit3,'String'));
    y_ind = str2num(get(handles.edit4,'String'));
    fh2 = figure(2);
    disp_cell_wts;
    figtitle = strcat(Conn_name(fasc_ind,:), ' Connections');
    set(fh2, 'Name', figtitle);