gain = str2num(get(handles.edit1,'String'));
threshold = str2num(get(handles.edit2,'String'));

netactmin = -2.0;
netactmax = 2;
if (gain < 3.0)
    netactmin = -4.0;
    netactmax = 4.0;
end;
netactinc = 0.01;
netact = netactmin:netactinc:netactmax;
resp = sigm(threshold,gain,netact);

plot(netact,resp,'k');
axis([netactmin netactmax -0.1 1.1]);
xlabel('Input');
ylabel('Sigmoidal Output');