%
% setpaths_simrun.m
%
% Save the current model run for future access.
%
% Last modification: 10/28/07

% Data directory structure...
% main_path/run_collection/task_set_schedule/phase/manipulation/subject

% Set path prefixes.

% Main path
path_pfx1 = '../dissertation_data/';

% Run collections
path_pfx2 = 'exemplar_runs/';
% path_pfx2 = 'stats_runs/';
% path_pfx2 = 'pilot_runs/';

% Task set schedules
path_pfx3 = 'TOBS_TOBSrev/';
% path_pfx3 = 'SOBS_SOBSrev/';
% path_pfx3 = 'SOBS_TOBSrev_SOBS/';
% path_pfx3 = 'TOBS1c_TOBS1crev/';

% Training/testing phases
path_pfx4 = 'train/';
% path_pfx4 = 'maint/';
% path_pfx4 = 'rev/';

% Manipulations
path_pfx5 = 'normal/';
% path_pfx5 = 'NShypo05/';
% path_pfx5 = 'NShypo1/';
% path_pfx5 = 'NShypo15/';
% path_pfx5 = 'NShypo2/';
% path_pfx5 = 'NShypo3/';
% path_pfx5 = 'Bhypo05/';
% path_pfx5 = 'Bhypo1/';
% path_pfx5 = 'Bhypo15/';
% path_pfx5 = 'Bhypo2/';
% path_pfx5 = 'Bhypo3/';
% path_pfx5 = 'ghypo05/';
% path_pfx5 = 'ghypo1/';
% path_pfx5 = 'ghypo15/';
% path_pfx5 = 'ghypo2/';
% path_pfx5 = 'ghypo3/';
% path_pfx5 = 'NShyper05/';
% path_pfx5 = 'NShyper1/';
% path_pfx5 = 'NShyper3/';
% path_pfx5 = 'NShyper5/';
% path_pfx5 = 'Bhyper05/';
% path_pfx5 = 'Bhyper1/';
% path_pfx5 = 'Bhyper3/';
% path_pfx5 = 'Bhyper5/';
% path_pfx5 = 'ghyper05/';
% path_pfx5 = 'ghyper1/';
% path_pfx5 = 'ghyper3/';
% path_pfx5 = 'ghyper5/';
% path_pfx5 = 'normal_rew0/';
% path_pfx5 = 'Bhypo05_rew0/';
% path_pfx5 = 'Bhypo1_rew0/';
% path_pfx5 = 'Bhypo15_rew0/';
% path_pfx5 = 'Bhypo2_rew0/';
% path_pfx5 = 'Bhypo3_rew0/';
% path_pfx5 = 'Bhyper05_rew0/';
% path_pfx5 = 'Bhyper1_rew0/';
% path_pfx5 = 'Bhyper3_rew0/';
% path_pfx5 = 'Bhyper5_rew0/';

% Subject number.
subj_num = 2;
path_pfx6 = strcat('subj',num2str(subj_num),'/');

% Set path.
path_name = strcat(path_pfx1,path_pfx2,path_pfx3,path_pfx4,path_pfx5, ...
    path_pfx6);

% Set run prefix.
run_num = 1;
run_pfx = strcat('r',num2str(run_num),'_');